package comparing;

public class Person implements Comparable<Person>  {
	
	
    // Data Fields
    /* The last name */
    private String lastName;
    /* The first name */
    private String firstName;
    /* Birthday represented by an integer from 1 to 366 */
    private int birthDay;
    /* age */
    private int age;
    
   
    public Person (String firstName, int age) {
    	this.firstName = firstName;
    	this.lastName = "Unknown";
    	this.setAge(age);
    }

    // Methods
    /** Compares two Person objects based on names. The result is based
        on the last names if they are         
        different; otherwise, it is based on the first names.
        @param obj The other Person
        @return A negative integer if this person’s name
	     precedes the other person’s name;
	     0 if the names are the same;
	     a positive integer if this person’s name follows the other person’s name.
    */
    @Override
    public int compareTo(Person other) {
        // Compare this Person to other using last names.
        int result = lastName.compareTo(other.lastName);
        // Compare first names if last names are the same.
        if (result == 0)
        	return firstName.compareTo(other.firstName);
        else
        	return result;
    }

	public int getBirthDay() {
		return birthDay;
	}

	public void setBirthDay(int birthDay) {
		this.birthDay = birthDay;
	}

	public int getAge() {
		return age;
	}

	public void setAge(int age) {
		this.age = age;
	}
	
	public String getFirstName() {
		return firstName;
	}
	

    // Other methods

}
